import request from '@/utils/request'

// 查询订单主列表
export function listFtmsorderbills(query) {
  return request({
    url: '/fleet/ftmsorderbills/list',
    method: 'get',
    params: query
  })
}

// 查询订单主详细
export function getFtmsorderbills(id) {
  return request({
    url: '/fleet/ftmsorderbills/' + id,
    method: 'get'
  })
}

// 新增订单主
export function addFtmsorderbills(data) {
  return request({
    url: '/fleet/ftmsorderbills',
    method: 'post',
    data: data
  })
}

// 修改订单主
export function updateFtmsorderbills(data) {
  return request({
    url: '/fleet/ftmsorderbills',
    method: 'put',
    data: data
  })
}

// 删除订单主
export function delFtmsorderbills(id) {
  return request({
    url: '/fleet/ftmsorderbills/' + id,
    method: 'delete'
  })
}

// 导出订单主
export function exportFtmsorderbills(query) {
  return request({
    url: '/fleet/ftmsorderbills/export',
    method: 'get',
    params: query
  })
}